function kkt2web(str){
	var res = "";
	var i = 0;
	var con = false;
	var start = true;
	while(i<str.length){
		if(str[i]=="#"){
			if(con == false){
				if(start == false)
					res += "\r\n";
				res+=str[i];
				con = true;
				i++;
				start = false;
				continue;
			}else{
				con = false;
			}
			
		}
		res+=str[i];
		i++;
		start = false;
	}
	return res;
}

function web2kkt(str){
	var res = "";
	var i = 0;
	while(i<str.length){
		if(str[i]=="#")res+="@@";
		else res+=str[i];
		i++;
	}
	return res;	
}

function changeDark(){
	var dark = document.getElementById("dark_print").value;
	document.getElementById("dark_print_probe").value = "Пробная печать <" + dark + ">";
}

function changeLineSpacing(){
	var line_spacing = document.getElementById("line_spacing").value;
	document.getElementById("line_spacing_probe").value = "Пробная печать <" + line_spacing + ">";	
}

/*
 * Начальное заполнение формы
 */
function fillform(info){

	document.getElementById("head").value = kkt2web(info["head"]);
	document.getElementById("tile").value = kkt2web(info["tile"]);
	if (info["round"] != null)
	document.getElementById("round_t").value = kkt2web(info["round"]);
}

function fillforminfo(info){
	document.getElementById("email").value = kkt2web(info["email"]);
	document.getElementById("site").value = kkt2web(info["site"]);
}

function fillformparam(info){
	document.getElementById("use_as_server").checked = (info["useserver"]==0) ? false:true;
	document.getElementById("port_as_server").value = ""+info["port"];
	if(info["pasw"] != null)
		document.getElementById("pasw-fr").value = info["pasw"];

	document.getElementById("use_online").checked = (info["online"]==0) ? false:true;
	document.getElementById("url_server").value = info["urlserver"];
	document.getElementById("port_server").value = info["portserver"];

	
	document.getElementById("print_name_1_line").checked = (info["print1line"]==0) ? false:true;
	document.getElementById("scale_qr").value = info["scaleqr"];	
	document.getElementById("encode_base").value = info["encode"];
	
	document.getElementById("dark_print").value = (info["energy"] != null) ? info["energy"] : 20;
	document.getElementById("line_spacing").value = (info["line_spacing"] != null) ? info["line_spacing"] : 20;

	if(info["onesec"] != null && info["onesec"]!=0){
		document.getElementById("use_one_sec").checked = true;
	}else{
		document.getElementById("use_one_sec").checked = false;
	}
	
	if(info["banfree"] != null && info["banfree"]!=0){
		document.getElementById("ban_free_buy").checked = true;
	}else{
		document.getElementById("ban_free_buy").checked = false;
	}

	if(info["maxprice"] != null){
		document.getElementById("max_price").value = info["maxprice"];
	}else{
		document.getElementById("max_price").value = "10000000";
	}

	if(info["round"] != null){
		document.getElementById("round").value = info["round"];
	}else{
		document.getElementById("round").value = 0;
	}

	if(info["onlyregsno"] != null && info["onlyregsno"]==0){
		document.getElementById("onlyregsno").checked = false;
	}else{
		document.getElementById("onlyregsno").checked = true;
	}

	if(info["prefix"] != null){
		document.getElementById("prefix").value = info["prefix"];
	}else{
		document.getElementById("prefix").value = "23";
	}
	
	 changeDark();
	 changeLineSpacing();
}

/*
 * Пробная печать HEAD
 */
function start_print(el){
	var v_head =  document.getElementById(el).value;
	
	var str_new_info = "/?ajax_probe_print??"+web2kkt(v_head);
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
}

function check_print(){
	var v_energy =  document.getElementById("dark_print").value;
	var v_line =  document.getElementById("line_spacing").value;
	
	var str_new_info = "/?ajax_check_print??"+v_energy+"??"+v_line;
	//alert(str_new_info);
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
}

function store_head(what){
	var v_head =  document.getElementById((what == 1) ? "head" : (what == 2) ? "tile" : "round_t").value;
	var str_new_info = "/?ajax_store_head??"+what+"??"+web2kkt(v_head);
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
}


/*
 * Обработчик ajax событий 
 */
function local_proc(values){

	if(values[0] == "rez_probe_print" || values[0] == "rez_check_print"){
		if(values[1] == "Fault"){
			draw_error("Ошибка", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
	}else if(values[0] == "rez_store_head"){
		if(values[1] == "Fault"){
			draw_error("Ошибка", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Данные успешно сохранены");
		}		
	}else if(values[0] == "rez_send_email" || values[0] == "rez_send_paramkkt"){
		if(values[1] == "Fault"){
			draw_error("Ошибка", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Данные успешно сохранены");
		}		
	}
	changeInterval(750);	
}

function store_info(){
	var v_email =  document.getElementById("email").value;
	var v_site =  document.getElementById("site").value;
	
	var str_new_info = "/?ajax_send_email??"+v_email+"??"+v_site;
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
	
}

function store_param_info(){
	var use_as_server = (document.getElementById("use_as_server").checked == true) ? 1 : 0;
	var port_as_server = document.getElementById("port_as_server").value;
	var pasw_fr = document.getElementById("pasw-fr").value;
	
	var use_online = (document.getElementById("use_online").checked == true) ? 1 : 0;
	var url_server = document.getElementById("url_server").value;
	var port_server = document.getElementById("port_server").value;

	                                                  
	var print_name_1_line = (document.getElementById("print_name_1_line").checked == true) ? 1 : 0;
	var use_one_sec = (document.getElementById("use_one_sec").checked == true) ? 1 : 0;
	var scale_qr = document.getElementById("scale_qr").value;
	var encode_base = document.getElementById("encode_base").value;
	
	var dark = document.getElementById("dark_print").value;
	var line_spacing = document.getElementById("line_spacing").value;
	

	var v_ban_free = (document.getElementById("ban_free_buy").checked == true) ? 1 : 0;
	var v_maxprice = document.getElementById("max_price").value;
	var v_round = document.getElementById("round").value;
	var v_onlyregsno = (document.getElementById("onlyregsno").checked == true) ? 1 : 0;
	
	var v_prefix = document.getElementById("prefix").value;
	
	v_maxprice = parseInt(v_maxprice)
	if(v_maxprice == NaN){
		v_maxprice = 10000000;
		document.getElementById("max_price").value = v_round;
	}
	
	var str_new_info = "/?ajax_send_paramkkt??"+use_as_server+"??"+port_as_server+"??"+pasw_fr
	    +"??"+use_online + "??"+url_server+"??"+port_server+"??"+print_name_1_line
		+"??"+scale_qr+"??"+encode_base+"??"+dark+"??"+line_spacing+"??"+use_one_sec+"??"+v_maxprice+"??"+v_ban_free+"??"+v_round+"??"+v_onlyregsno+ "??" + v_prefix;
	
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});

}

var fun_end_error = null;
function draw_error(title, info, fexit){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "block";
	
	var head1 = document.getElementById("title_error_dialog");
	head1.innerHTML = title;
	
	var info1 = document.getElementById("error_info");
	info1.innerHTML = info;
	
	fun_end_error = fexit;
}

function close_dialog_error(){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "none";
	
	if(fun_end_error != null){
		fun_end_error();
		fun_end_error = null;
	}
}

function draw_info(info){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "block";
	
	
	var info1 = document.getElementById("el_info");
	info1.innerHTML = info;
	
}

function close_dialog_info(){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "none";
	
}
